<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>article (3)</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="code-editors">Code editors</h1>
    <p>
      A code editor is the place where programmers spend most of their time.
    </p>
    <p>
      There are two main types of code editors: IDEs and lightweight editors.
      Many people use one tool of each type.
    </p>
    <h2 id="ide">IDE</h2>
    <p>
      The term
      <a href="https://en.wikipedia.org/wiki/Integrated_development_environment"
        >IDE</a
      >
      (Integrated Development Environment) refers to a powerful editor with many
      features that usually operates on a “whole project.” As the name suggests,
      it’s not just an editor, but a full-scale “development environment.”
    </p>
    <p>
      An IDE loads the project (which can be many files), allows navigation
      between files, provides autocompletion based on the whole project (not
      just the open file), and integrates with a version management system (like
      <a href="https://git-scm.com/">git</a>), a testing environment, and other
      “project-level” stuff.
    </p>
    <p>If you haven’t selected an IDE yet, consider the following options:</p>
    <ul>
      <li>
        <a href="https://code.visualstudio.com/">Visual Studio Code</a>
        (cross-platform, free).
      </li>
      <li>
        <a href="http://www.jetbrains.com/webstorm/">WebStorm</a>
        (cross-platform, paid).
      </li>
    </ul>
    <p>
      For Windows, there’s also “Visual Studio”, not to be confused with “Visual
      Studio Code”. “Visual Studio” is a paid and mighty Windows-only editor,
      well-suited for the .NET platform. It’s also good at JavaScript. There’s
      also a free version
      <a href="https://www.visualstudio.com/vs/community/"
        >Visual Studio Community</a
      >.
    </p>
    <p>
      Many IDEs are paid, but have a trial period. Their cost is usually
      negligible compared to a qualified developer’s salary, so just choose the
      best one for you.
    </p>
    <h2 id="lightweight-editors">Lightweight editors</h2>
    <p>
      “Lightweight editors” are not as powerful as IDEs, but they’re fast,
      elegant and simple.
    </p>
    <p>They are mainly used to open and edit a file instantly.</p>
    <p>
      The main difference between a “lightweight editor” and an “IDE” is that an
      IDE works on a project-level, so it loads much more data on start,
      analyzes the project structure if needed and so on. A lightweight editor
      is much faster if we need only one file.
    </p>
    <p>
      In practice, lightweight editors may have a lot of plugins including
      directory-level syntax analyzers and autocompleters, so there’s no strict
      border between a lightweight editor and an IDE.
    </p>
    <p>The following options deserve your attention:</p>
    <ul>
      <li><a href="https://atom.io/">Atom</a> (cross-platform, free).</li>
      <li>
        <a href="https://code.visualstudio.com/">Visual Studio Code</a>
        (cross-platform, free).
      </li>
      <li>
        <a href="http://www.sublimetext.com">Sublime Text</a> (cross-platform,
        shareware).
      </li>
      <li>
        <a href="https://notepad-plus-plus.org/">Notepad++</a> (Windows, free).
      </li>
      <li>
        <a href="http://www.vim.org/">Vim</a> and
        <a href="https://www.gnu.org/software/emacs/">Emacs</a> are also cool if
        you know how to use them.
      </li>
    </ul>
    <h2 id="lets-not-argue">Let’s not argue</h2>
    <p>
      The editors in the lists above are those that either I or my friends whom
      I consider good developers have been using for a long time and are happy
      with.
    </p>
    <p>
      There are other great editors in our big world. Please choose the one you
      like the most.
    </p>
    <p>
      The choice of an editor, like any other tool, is individual and depends on
      your projects, habits, and personal preferences.
    </p>
  </body>
</html>
